<?php
//Actions
function action($action) {
	global $client, $lang_b;
	
	$server_type=get_server_type();
	switch(StripS($action)) {
		case $lang_b['ChallengeRestart'][0]:
			$query = 'ChallengeRestart';
		break;
		case $lang_b['NextChallenge'][0]:
			$query = 'NextChallenge';
		break;
		case $lang_b['StopServer'][0]:
			$query = 'StopServer';
		break;
		case $lang_b['QuitGame'][0]:
			$query = 'QuitGame';
		break;
		case $lang_b['GenerateCoreDump'][0]:
			$query = 'GenerateCoreDump';
		break;
		case $lang_b['SetServerOptions'][0]:
			$IsP2PUpload = array_key_exists('IsP2PUpload', $_POST);
			$IsP2PDownload = array_key_exists('IsP2PDownload', $_POST);
			$AllowChallengeDownload = array_key_exists('AllowChallengeDownload', $_POST);
			$params_1 = array(	'Name' => $_POST['ServerName'],
								'Comment' => StripS($_POST['ServerComment']),
								'Password' => $_POST['ServerPassword'],
								'PasswordForSpectator' => $_POST['SpectatorPassword'],
								'NextMaxPlayers' => $_POST['NextMaxPlayers']+0,
								'NextMaxSpectators' => $_POST['NextMaxSpectators']+0,
								'IsP2PUpload' => $IsP2PUpload,
								'IsP2PDownload' => $IsP2PDownload,
								'NextLadderMode' => $_POST['NextLadderMode']+0,
								'NextVehicleNetQuality' => $_POST['NextVehicleNetQuality']+0,
								'NextCallVoteTimeOut' => $_POST['NextCallVoteTimeOut']+0,
								'CallVoteRatio' => $_POST['CallVoteRatio']+0,
								'AllowChallengeDownload' => $AllowChallengeDownload);
			$query = 'SetServerOptions';
		break;
		case $lang_b['StartServerInternet'][0]:
			$params_1 = array('Login' => $_POST['Login'], 'Password' => $_POST['Password']);
			$query = 'StartServerInternet';
		break;
		case $lang_b['StartServerLan'][0]:
			$query = 'StartServerLan';
		break;
		case $lang_b['RemoveChallenge'][0]:
			$params_1 = StripS($_POST['ChallengeFileName']);
			$query = 'RemoveChallenge';
		break;
		case $lang_b['AddChallenge'][0]:
			$params_1 = StripS($_POST['ChallengeFileName']);
			$query = 'AddChallenge';
		break;
		case $lang_b['InsertChallenge'][0]:
			$params_1 = StripS($_POST['ChallengeFileName']);
			$query = 'InsertChallenge';
		break;
		case $lang_b['ChooseNextChallenge'][0]:
			$params_1 = StripS($_POST['ChallengeFileName']);
			$query = 'ChooseNextChallenge';
		break;
		case $lang_b['Kick'][0]:
			$params_1 = StripS($_POST['PlayerLogin']);
			$query = 'Kick';
		break;
		case $lang_b['Ban'][0]:
			$params_1 = StripS($_POST['PlayerLogin']);
			$query = 'Ban';
		break;
		case $lang_b['UnBan'][0]:
			$params_1 = StripS($_POST['PlayerLogin']);
			$query = 'UnBan';
		break;
		case $lang_b['CleanBanList'][0]:
			$query = 'CleanBanList';
		break;
		case $lang_b['AddGuest'][0]:
			$params_1 = StripS($_POST['PlayerLogin']);
			$query = 'AddGuest';
		break;
		case $lang_b['RemoveGuest'][0]:
			$params_1 = StripS($_POST['PlayerLogin']);
			$query = 'RemoveGuest';
		break;
		case $lang_b['BlackList'][0]:
			$params_1 = StripS($_POST['PlayerLogin']);
			$query = 'BlackList';
		break;
		case $lang_b['UnBlackList'][0]:
			$params_1 = StripS($_POST['PlayerLogin']);
			$query = 'UnBlackList';
		break;
		case $lang_b['SaveMatchSettings'][0]:
			$params_1 = StripS($_POST['MatchSettingsFileName']);
			$query = 'SaveMatchSettings';
		break;
		case $lang_b['LoadMatchSettings'][0]:
			$params_1 = StripS($_POST['MatchSettingsFileName']);
			if( $server_type == 'TMU') {
				$params_1 = 'MatchSettings/'.$params_1;
			}
			$query = 'LoadMatchSettings';
		break;
		case $lang_b['AppendPlaylistFromMatchSettings'][0]:
			$params_1 = StripS($_POST['MatchSettingsFileName']);
			if( $server_type == 'TMU') {
				$params_1 = 'MatchSettings/'.$params_1;
			}
			$query = 'AppendPlaylistFromMatchSettings';
		break;
		
		case $lang_b['LoadGuestList'][0]:
			$params_1 = StripS($_POST['GuestListFileName']);
			$query = 'LoadGuestList';
		break;
		case $lang_b['SaveGuestList'][0]:
			$params_1 = StripS($_POST['GuestListFileName']);
			$query = 'SaveGuestList';
		break;
		
		case $lang_b['LoadBlackList'][0]:
			$params_1 = StripS($_POST['BlackListFileName']);
			$query = 'LoadBlackList';
		break;
		case $lang_b['SaveBlackList'][0]:
			$params_1 = StripS($_POST['BlackListFileName']);
			$query = 'SaveBlackList';
		break;
		
		case $lang_b['SetGameInfos'][0]:
			$NextRoundsUseNewRules = array_key_exists('NextRoundsUseNewRules', $_POST);
			$NextTeamUseNewRules = array_key_exists('NextTeamUseNewRules', $_POST);
			if( $server_type == "TMU" ) {
				$params_1 = array(	'GameMode' => $_POST['NextGameMode']+0,
									'ChatTime' => $_POST['NextChatTime']+0,
									'RoundsPointsLimit' => $_POST['NextRoundsPointsLimit']+0,
									'RoundsUseNewRules' => $NextRoundsUseNewRules,
									'RoundsForcedLaps' => $_POST['NextRoundsForcedLaps']+0,
									'TimeAttackLimit' => $_POST['NextTimeAttackLimit']+0,
									'TimeAttackSynchStartPeriod' => $_POST['NextTimeAttackSynchStartPeriod']+0,
									'TeamPointsLimit' => $_POST['NextTeamPointsLimit']+0,
									'TeamMaxPoints' => $_POST['NextTeamMaxPoints']+0,
									'TeamUseNewRules' => $NextTeamUseNewRules,
									'LapsNbLaps' => $_POST['NextLapsNbLaps']+0,
									'LapsTimeLimit' => $_POST['NextLapsTimeLimit']+0,
									'FinishTimeout' => $_POST['FinishTimeout']+0);
			} else {
				$params_1 = array(	'GameMode' => $_POST['NextGameMode']+0,
									'ChatTime' => $_POST['NextChatTime']+0,
									'RoundsPointsLimit' => $_POST['NextRoundsPointsLimit']+0,
									'RoundsUseNewRules' => $NextRoundsUseNewRules,
									'TimeAttackLimit' => $_POST['NextTimeAttackLimit']+0,
									'TimeAttackSynchStartPeriod' => $_POST['NextTimeAttackSynchStartPeriod']+0,
									'TeamPointsLimit' => $_POST['NextTeamPointsLimit']+0,
									'TeamMaxPoints' => $_POST['NextTeamMaxPoints']+0,
									'TeamUseNewRules' => $NextTeamUseNewRules,
									'LapsNbLaps' => $_POST['NextLapsNbLaps']+0,
									'LapsTimeLimit' => $_POST['NextLapsTimeLimit']+0);
			
			}
			$query = 'SetGameInfos';
		break;
		
		case $lang_b['ChangeAuthPassword'][0]:
			$params_1 = StripS($_POST['newLogin']);
			$params_2 = StripS($_POST['newPassword']);
			$query = 'ChangeAuthPassword';
		break;
		case $lang_b['ChatSend'][0]:
			$params_1 = StripS($_POST['ChatText']);
			$query = 'ChatSend';
		break;
		/*
		ChatSendServerMessage : Dplac dans chat.php 
		*/
		case $lang_b['ChatSendToLogin'][0]:
			$params_1 = (!isset($_SESSION['pseudo'])) ? StripS($_POST['ChatText']) : StripS("[".$_SESSION['pseudo']."] ".$_POST['ChatText']);
			$params_2 = StripS($_POST['Login']);
			$query = 'ChatSendToLogin';
		break;
		case $lang_b['SendDisplayServerMessage'][0]:
			$params_1 = StripS($_POST['Message']);
			$params_2 = StripS($_POST['Button1']);
			$params_3 = StripS($_POST['Button2']);
			$params_4 = $_POST['TimeOut']+0;
			$query = 'SendDisplayServerMessage';
		break;
		case $lang_b['SendDisplayServerMessageToLogin'][0]:
			$params_1 = StripS($_POST['Login']);
			$params_2 = StripS($_POST['Message']);
			$params_3 = StripS($_POST['Button1']);
			$params_4 = StripS($_POST['Button2']);
			$params_5 = $_POST['TimeOut']+0;
			$query = 'SendDisplayServerMessage';
		break;
		case $lang_b['SendHideServerMessage'][0]:
			$query = 'SendHideServerMessage';
		break;
		case $lang_b['SendHideServerMessageToLogin'][0]:
			$params_1 = StripS($_POST['Login']);
			$query = 'SendHideServerMessageToLogin';
		break;	
		case $lang_b['ChooseNextChallengeList'][0]:
			$params_1 =  StripS($_POST['fichiers']);
			$query = 'ChooseNextChallengeList';
		break;
		case $lang_b['AddChallengeList'][0]:
			$params_1 = str_replace('/', '\\',StripS($_POST['fichiers']));
			$query = 'AddChallengeList';
		break;
		case $lang_b['RemoveChallengeList'][0]:
			$params_1 = str_replace('/', '\\',StripS($_POST['fichiers']));
			$query = 'RemoveChallengeList';
		break;
		case $lang_b['InsertChallengeList'][0]:
			$params_1 = str_replace('/', '\\',StripS($_POST['fichiers']));
			$query = 'InsertChallengeList';
		break;
		case $lang_b['RemoveChatCommand'][0]:
			$params_1 = StripS($_POST['ChatCommand']);
			$query = 'RemoveChatCommand';
		break;
		case $lang_b['AddChatCommand'][0]:
			$params_1 = StripS($_POST['ChatCommand']);
			$query = 'AddChatCommand';
		break;
		case $lang_b['CleanChatCommand'][0]:
			$query = 'CleanChatCommand';
		break;
	}

	/*elseif($Action == 'AddChallengeListTemp' ) {
				$fichiers = $_POST['fichiers'];
				foreach($fichiers as $filename) {
					$client->query("AddChallenge", StripS($filename));
				}*/
	
	if(isset($params_5)) {
		if (!$client->query($query, $params_1, $params_2, $params_3, $params_4, $params_5)) trigger_error("[".$client->getErrorCode()."] ".$client->getErrorMessage());
	}
	elseif(isset($params_4)){
		if (!$client->query($query, $params_1, $params_2, $params_3, $params_4)) trigger_error("[".$client->getErrorCode()."] ".$client->getErrorMessage());
	}
	elseif(isset($params_3)){
		if (!$client->query($query, $params_1, $params_2, $params_3)) trigger_error("[".$client->getErrorCode()."] ".$client->getErrorMessage());
	}
	elseif(isset($params_2)){
		if (!$client->query($query, $params_1, $params_2)) trigger_error("[".$client->getErrorCode()."] ".$client->getErrorMessage());
	}
	elseif(isset($params_1)){
		if (!$client->query($query, $params_1)) trigger_error("[".$client->getErrorCode()."] ".$client->getErrorMessage());
	}
	else {
		if (!$client->query($query)) trigger_error("[".$client->getErrorCode()."] ".$client->getErrorMessage());
	}
/*	foreach ($_POST as $key => $value) {
		echo $key.' - '.$value.'<br />';
	}
	*/
}
?>
