<?php
session_name("InterfaceWebTM");
session_cache_expire (30);
session_start();
header("Cache-Control: no-cache, must-revalidate");

define("VERSION", "1.6.5");

require_once('config.php');
if(isset($_POST['lang_perso'])) $_SESSION['lang_perso'] = $_POST['lang_perso'];
if(isset($_SESSION['lang_perso'])) require_once("lang/".$_SESSION['lang_perso'].".php");
else require_once("lang/".LANG_DEFAULT.".php");
require_once('GbxRemote.inc.php');
require_once('connection.php');
require_once('actions.php');
require_once('functions.php');

if(phpversion() >= 5) date_default_timezone_set("Europe/Paris");
?>
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Administration du serveur Trackmania</title>
<script type="text/javascript" src="XHRConnection.js"></script>
<script type="text/javascript" src="styles/styleswitcher.js"></script>
<script type="text/javascript">
function chargeFichier() {
	var XHR = new XHRConnection();		
	XHR.setRefreshArea('zoneChat');
	XHR.sendAndLoad("chat.php?do=GetChatLines", "GET");
	if (document.chat.auto.checked) timer=setTimeout(chargeFichier,3000)
	return true;
}

function chargeStatut() {
	var XHR = new XHRConnection();		
	XHR.setRefreshArea('zoneStatut');
	XHR.sendAndLoad("statut.php", "GET");
	if (document.actualiser.auto.checked) timer2=setTimeout(chargeStatut,5000)
	//timer=setTimeout(chargeStatut,5000)
	return true;
}

function automatique() {
	if (document.chat.auto.checked) chargeFichier()
}

function sendData(data, value, page, method)
{
   var XHR = new XHRConnection();
	XHR.appendData(data, value);
	XHR.sendAndLoad(page, method, alerter);
	clear('ChatTextForm', 'ChatText')
}

function alerter(){
			// On ne fait quelque chose que si on a tout reet que le serveur est ok
			document.ChatTextForm.etat.value="Message envoyé";
			setTimeout("clear('ChatTextForm', 'etat')",3000);
			//alert(XHR.responseText);
	}

function clear(form, champ) {
	document[form][champ].value="";
}

window.onload = function(e) {
<?php if(!isset($_GET['aff'])) echo "chargeStatut();"; ?>
<?php if($_GET['aff'] == 'chat') echo 'chargeFichier();'; ?>

	var cookie = readCookie("style");
	var title = cookie ? cookie : getPreferredStyleSheet();
	setActiveStyleSheet(title);
}
</script>
<link rel="stylesheet" type="text/css" media="screen" title="default" href="styles/default.css" />
<link rel="alternate stylesheet" type="text/css" media="screen" title="alternative" href="styles/alternative.css" />

</head>
<body topmargin="0">
<?php
if(!$client->query("Authenticate", $_SESSION['authLogin'][$_SESSION['serveur']], $_SESSION['authPassword'][$_SESSION['serveur']]) AND empty($_POST['authLogin'])) formulaire_connexion();
elseif($client->query("Authenticate", $_SESSION['authLogin'][$_SESSION['serveur']], $_SESSION['authPassword'][$_SESSION['serveur']]) OR $client->query("Authenticate", $_POST['authLogin'], $_POST['authPassword'])) {
	if(!empty($_POST['authLogin'])) {
		$_SESSION['authLogin'][$_SESSION['serveur']] = $_POST['authLogin'];
		$_SESSION['authPassword'][$_SESSION['serveur']] = $_POST['authPassword'];
	}
	include('menu.php');
	if(!empty($_POST['action'])) action($_POST['action']);
	echo "<br /><br />";
	$server_type=get_server_type();
	
	switch ($_GET['aff']) {
		case "server_options":
			server_options();
		break;
		case "deconnexion":
			echo '<meta http-equiv="refresh" content="2">';
			session_unset();
			session_destroy();
			$client->Terminate();
			echo "<center>{$lang['end_session']}</center>";
		break;
		case "players":
			if(isset($_GET['login'])) player(urldecode($_GET['login']));
			else players();
		break;
		case "ranking":
			ranking();
		break;
		case "chat":
			if($_GET['pseudo'] == 1) {
				unset($_SESSION['pseudo']);
				$_SESSION['pseudo'] = $_POST['pseudo'];
			}
			if($_GET['pseudo'] == 2) unset($_SESSION['pseudo']);
			if(isset($_GET['no_fast'])) $_SESSION['No_Fast'] = 1;
			if(isset($_GET['aff_fast'])) $_SESSION['No_Fast'] = 0;
			chat();
			if(!empty($_GET['Kick'])) kick_ban_fast("Kick", urldecode($_GET['Kick']));
			if(!empty($_GET['Ban'])) kick_ban_fast("Ban", urldecode($_GET['Ban']));
		break;
		case "question":
			question();
		break;
		case "guest_ban_list":
			guest_ban_list();
		break;
		case "challenges":
			if(isset($_GET['filename'])) challenge(StripS(urldecode($_GET['filename'])));
			else challenges();
		break;
		case "upload":
			if(!isset($_GET['go'])) upload();
			else upload_go(StripS($_FILES["file"]), StripS($_POST['dossier']));
		break;
		case "game_infos":
			game_infos();
		break;
		case "update":
			include('http://www.tmweb.123.fr/update.php?version='.urlencode(VERSION));
		break;
		default:
			general();
		break;
	}
}
else {
	echo "<center>";
	trigger_error("[".$client->getErrorCode()."] ".$client->getErrorMessage());
	echo "</center>";
	formulaire_connexion();
}
?>
<div class="feeter">
	<?php echo $lang['TRANSLATION']; ?><br />
	Version <?php echo VERSION; ?> - <a href="index.php?aff=update"><?php echo $lang['Update']; ?></a><br />
	PHP version <?php echo phpversion(); ?><br />
	<a href="http://www.tmweb.123.fr" target="_blank">http://www.tmweb.123.fr</a>
</div>
</body>
</html>
